Subject: bug#16051: 24.3.50; Emacs hang - resize frame manually

From: Eli Zaretskii <[email-masked]>
Date: Tue, 24 Dec 2013 20:55:19 +0200

> Date: Tue, 24 Dec 2013 19:45:26 +0100
> From: martin rudalics <[email-masked]>
> CC: [email-masked], [email-masked]
> 
>  >>  > The frame size should remain as it was -- as the user determined by
>  >>  > dragging.
>  >>
>  >> But this means that we currently do change the frame size.
>  >
>  > I think we are miscommunicating, because we certainly don't change the
>  > frame size; the user does.
> 
> Tha user only asks us to change it.  And the point I wanted to make here
> is that instead of changing it we could refuse to change it

That'd be fine, if you know how to do that on all supported platforms.

> (1) setting the according wm hints, or by
> 
> (2) issuing a re-resize request to the wm, or by
> 
> (3) simply not processing the new frame size and let the wm do the
>      clipping.
> 
> Now (1) seems difficult because people can change height and width at
> the same time and with a wrapping toolbar we hardly can specify the
> proper hints here (essentially we would have to be able to pass the
> minimum size of the Emacs window to the wm).  (2) is not nice although
> we do something similar already IIRC.
> 
> So my preference for this is (3).  Which would just imply that the size
> of an Emacs frame does not correspond to what the user sees.

I agree.  I just hope it won't be too hard to do this.